#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 34. GNOME Applications

- Prev

  Evince-41.3

- Next

  File-Roller-3.40.0

- Up
- Home

# Evolution-3.42.4

## Introduction to Evolution

The Evolution package contains an integrated mail, calendar and address book suite designed for the GNOME environment.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/evolution/3.42/evolution-3.42.4.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/evolution/3.42/evolution-3.42.4.tar.xz

- Download MD5 sum: 1945406e55bef5f90687569afcc6bd4a

- Download size: 12 MB

- Estimated disk space required: 354 MB

- Estimated build time: 1.1 SBU (Using parallelism=4)

### Evolution Dependencies

#### Required

adwaita-icon-theme-41.0, evolution-data-server-3.42.4, gnome-autoar-0.4.3, itstool-2.0.7, libgdata-0.18.1, shared-mime-info-2.1, and WebKitGTK-2.34.6

#### Recommended

Bogofilter-1.2.5, enchant-2.3.2, gnome-desktop-41.3, gspell-1.8.4, Highlight-4.1, libcanberra-0.30, libgweather-40.0, libnotify-0.7.9, OpenLDAP-2.6.1, and Seahorse-41.0

#### Optional

clutter-gtk-1.8.4, GeoClue-2.6.0, geocode-glib-3.26.2, and libchamplain-0.12.20 (Contact Maps plugin), GTK-Doc-1.33.2, Glade, libpst, libunity, libytnef

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/evolution

## Installation of Evolution

Install Evolution by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DSYSCONF_INSTALL_DIR=/etc  \
          -DENABLE_INSTALLED_TESTS=ON \
          -DENABLE_PST_IMPORT=OFF     \
          -DENABLE_YTNEF=OFF          \
          -DENABLE_CONTACT_MAPS=OFF   \
          -G Ninja .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-DENABLE_YTNEF=OFF`: This switch is used to disable the yTNEF library usage because libytnef is not part of BLFS.

`-DENABLE_PST_IMPORT=OFF`: This switch is used to disable the pst-import plugin because libpst is not part of BLFS.

`-DENABLE_CONTACT_MAPS=ON`: Use this switch if you have installed the necessary dependencies and wish to build the Contact Maps plugin.

`-DWITH_OPENLDAP=OFF`: Use this switch if you have not installed OpenLDAP-2.6.1.

## Contents

Installed Programs: evolution
Installed Libraries: libeabutil.so, libeabwidgets.so, libecontacteditor.so, libecontactlisteditor.so, libecontactprint.so, libemail-engine.so, libessmime.so, libevolution-addressbook-importers.so, libevolution-calendar-importers.so, libevolution-calendar.so, libevolution-mail-composer.so, libevolution-mail-formatter.so, libevolution-mail-importers.so, libevolution-mail.so, libevolution-shell.so, libevolution-smime.so, libevolution-util.so, libgnomecanvas.so, and several modules and plugins in /usr/lib/evolution/{modules,plugins,web-extensions}
Installed Directories: /usr/include/evolution, /usr/lib/evolution, /usr/libexec/evolution, /usr/share/evolution, /usr/share/installed-tests/evolution, /usr/share/help/*/evolution, and optionally /usr/share/gtk-doc/html/{evolution-mail-composer,evolution-mail-engine}, /usr/share/gtk-doc/html/{evolution-mail-formatter,evolution-shell}, and /usr/share/gtk-doc/html/evolution-util

### Short Descriptions

evolution | is an email, calendar and address book suite for the GNOME Desktop

Last updated on

- Prev

  Evince-41.3

- Next

  File-Roller-3.40.0

- Up
- Home